Summary: scsidev - Lets you access your SCSI devices easily
Name: scsidev
Version: 2.0b
Release: 1.2
License: GPL
Buildroot: %{_tmppath}/%{name}-root
Group: Utilities/System
Source: http://www.garloff.de/kurt/linux/scsidev/scsidev-2.0b.tar.gz
Patch: scsidev-2.0b.patch

%description
scsidev lets you set up aliases for your SCSI devices, so that you can access
them, even if their ID changes

%prep
%setup
%patch -p1 -b .rh7

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --mandir=%{_mandir}
make LDFLAGS=-s

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make install install_prefix=$RPM_BUILD_ROOT
cp scsi.alias $RPM_BUILD_ROOT/etc
chmod 664 $RPM_BUILD_ROOT/etc/scsi.alias

%files
%defattr(-,root,root)
%doc README

%{_bindir}/scsidev
%{_mandir}/man8/scsidev.8*
/dev/scsi

%config /etc/scsi.alias

%changelog
* Mon Apr 29 2002 Guy Streeter <streeter@redhat.com>
- Make the rpm build from a non-root account

* Wed Apr 23 2001 Guy Streeter <streeter@redhat.com>
- New RPM for version 2.0b
